ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jacob Kjome <h...@visi.com>
Subject Re: <script> dependencies?
Date Sat, 29 Nov 2003 21:06:28 GMT
At 04:58 AM 11/29/2003 -0500, you wrote:
>On Friday, November 28, 2003, at 10:31  PM, Jacob Kjome wrote:
>>
>>I have been trying to get <script> to work with javascript and/or 
>>beanshell in Ant 1.6 (recent nightly build).  I read about the 
>>dependencies.  I have BSF 2.3.0RC1, Rhino 1.5R3, and BSH1.3.0 (also tried 
>>BSH 2.0b1) in ANT_HOME/lib.  All I ever get, though, is what you see 
>>below.  Any hints?
>
>What does 'ant -diagnostics' tell you?  Perhaps the build you have doesn't 
>have the script task compiled into it?
>
>         Erik

Thanks.  That was exactly it.  When I build Ant-1.6, I didn't have the 
above mentioned jars available.  Didn't think about that.  I have 
everything working fine now.

BTW, when I ran "ant -diagnostics", it printed out jars in ANT_HOME/lib, 
but didn't do the same for user.home/.ant/lib.  Might make sense to print 
that out as well.

Jake


>---------------------------------------------------------------------
>To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
>For additional commands, e-mail: user-help@ant.apache.org


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message